@font-face {
  font-family: 'Inter';
  font-style:  normal;
  font-weight: 400;
  src: url("../fonts/inter-regular.woff2") format("woff2");
}

@font-face {
  font-family: 'Inter';
  font-style:  italic;
  font-weight: 400;
  src: url("../fonts/inter-italic.woff2") format("woff2");
}

@font-face {
  font-family: 'Inter';
  font-style:  normal;
  font-weight: 600;
  src: url("../fonts/inter-medium.woff2") format("woff2");
}

@font-face {
  font-family: 'Inter';
  font-style:  italic;
  font-weight: 600;
  src: url("../fonts/inter-medium-italic.woff2") format("woff2");
}

@font-face {
  font-family: 'Inter';
  font-style:  normal;
  font-weight: 700;
  src: url("../fonts/inter-bold.woff2") format("woff2");
}

@font-face {
  font-family: 'Inter';
  font-style:  italic;
  font-weight: 700;
  src: url("../fonts/inter-bold-italic.woff2") format("woff2");
}

@font-face {
  font-family: 'Inter';
  font-style:  normal;
  font-weight: 900;
  src: url("../fonts/inter-black.woff2") format("woff2");
}

@font-face {
  font-family: 'Inter';
  font-style:  italic;
  font-weight: 900;
  src: url("../fonts/inter-black-italic.woff2") format("woff2");
}

@font-face {
  font-family: "Iosevka";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/iosevka-regular.woff2") format("woff2");
}

@font-face {
  font-family: "Iosevka";
  font-style: italic;
  font-weight: 400;
  src: url("../fonts/iosevka-italic.woff2") format("woff2");
}

@font-face {
  font-family: "Iosevka";
  font-style: normal;
  font-weight: 800;
  src: url("../fonts/iosevka-bold.woff2") format("woff2");
}

@font-face {
  font-family: "Iosevka";
  font-style: italic;
  font-weight: 800;
  src: url("../fonts/iosevka-bold-italic.woff2") format("woff2");
}

:root { color-scheme: dark; }

html { scroll-behavior: smooth; }

::-webkit-scrollbar {
    width: .5rem;
    height: .5rem;
}

::-webkit-scrollbar-thumb { background-color: #f0a050; }
::-webkit-scrollbar-thumb:hover { background-color: #6a3020; }

@media screen and (prefers-reduced-motion: reduce) {
	html {
		scroll-behavior: auto;
	}
}

html, body { margin: 0; }

img {
    max-width: 100%;
    object-fit: contain;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: "Inter", sans-serif;
    font-feature-settings: "calt" 1, "dlig" 1, "ccmp" 1, "ss01" 1, "ss07" 1, "ss08" 1, "cv01" 1, "cv05" 1;
    overflow-y: scroll;
    text-align: justify;
}

body > header, main { width: 40em; }
body > header { padding: 3em 0.5em 0.5em 0.5em; }
body > main { padding: 2em 0.5em 0.5em 0.5em; }

@media screen and (max-width: 40em) {
    body > header, main { width: calc(100% - 1em); }
}

body { line-height: 1.5; }

pre code { 
    line-height: 1.3;
    font-family: "Iosevka", monospace;
}

h1, h2, h3, h4, h5 { line-height: 1.2; }
td { line-height: 1.2; }

body > header { text-align: center; }

body > header > h1 { 
    margin-bottom: 0; 
    font-weight: 900;
    font-style: italic; 
}

body > header > p { margin: 0 0; }

nav { padding: 0.3em 0; }
nav > ul { display: inline; padding: 0; }
nav > ul > li { display: inline; }
nav > ul > li:before { content: "#"; }

nav.archives > ul {
    padding: none; 
    list-style: none; 
    font-size: 0;
}

nav.archives > ul > li {font-size: 1rem;}
nav.archives > ul > li:before { content: none; }
nav.archives > ul > li:before { content: ", " }
nav.archives > ul > li:first-child:before { content: none; }
nav.archives > ul > li:after { content: none; }
nav.archives > ul > li:last-child:before { content: none; }
nav.archives > ul > li:nth-last-child(2):after { content: " & "; }


nav > strong > a {text-decoration: none; }
nav > strong > a:link { color: #e0c070; }
nav > strong > a:visited { color: #e0c070; }

body > header > h1 > a {
    font-size: 1.75rem;
    text-decoration: inherit;
}

article > header > h1 { margin-bottom: 0.25em; }
article > header > p { margin-top: 0em; }

p {
    hyphens: auto;
    hyphenate-character: "-"; 
}

aside {
    border: 1px solid #502020;
    background-color: #12110c;
    padding: 0 1em;
    transition: all 0.3s ease;
}

aside:hover {
    transform: translateY(-2px);
    border-color: #d88060;
    z-index: 2;
}

.aside-blog {
    border: 1px solid #404020;
    background-color: #12110c;
    padding-top: 1em;
}

.aside-photo {
    border: none;
    background-color: #080806;
    padding: 0.5em 1em 1em 1em;
    transition: none;
}

.aside-photo:hover {
    transform: none;
    border: none;
}

aside > header > h1 { font-size: 1.3rem; }
aside > nav { color: #7a7060; }
aside > ul { list-style: disc; }

.photo-nav { color: #7a7060; }

section {
    background-color: #2a2820;
    border: 1px solid #a8c080;
    padding: 0 1em;
    transition: all 0.3s ease;
}

section:hover {
    transform: translateY(-2px);
    border-color: #70c070;
    z-index: 2;
}

section > nav > strong { font-weight: bold; color: #508050; }

main { overflow: auto; }
pre { overflow: auto; }

code { 
    font-size: 1rem; 
    font-family: "Iosevka", monospace;
    font-weight: bold;
}
pre code { font-size: 0.9rem; }

th, td { padding: 0.25em; }
pre { border: solid 1px; padding: 0em 0.25em; }
table, th, tr, td { border-collapse: collapse; border: solid 1px; text-align: start; }

main > ul { padding-left: 0em; }
main > ul > li { list-style: none; margin-bottom: 2em; }

ul { padding-left: 1.5em; }
li { margin-bottom: 0.5em; text-align: start; }

h1 { font-size: 1.6rem; font-weight: 900; text-align: start;}
h2 { font-size: 1.3rem; font-weight: bold; text-align: start;}
h3 { font-size: 1.2rem; font-weight: normal; text-align: start;}
h4 { font-size: 1rem; font-weight: bold; text-align: start;}
h5 { font-size: 1rem; font-weight: normal; text-align: start;}

:is(h1, h2, h3, h4, h5) :is(a:link, a:visited) { color: inherit; }

body {
    background-color: #0f0e0a;
    color: #c0b8a0;
}

strong { color: #f0e8d0; }
a:link strong { color: #f0a050; }
a:visited strong { color: #f0a050; }

body > main { border-bottom: none; }
th { background-color: #5a4020; color: #f0e8d0; }
pre, table, th, tr, td { border-color: #305030; }
hr { 
    background-color: none; 
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 1px solid #404020;
    height: 1px;
    margin: 1em 0;
}

pre { 
    background-color: #2a2820;
    padding: 2em 2em; 
}

tr:nth-child(even) { background-color: #101810; }

::selection { 
    color: #080806;
    background-color: #e0c070;
}

code {
    background-color: #2a2820;
    color: #508050;
    border-radius: 0.2em;
    padding: 0.2em 0.1em 0 0.1em;
}

pre code {
    background-color: revert;
    border-radius: revert;
    padding: revert;
}

blockquote {
    border-left: 10px solid #404020;
    margin: 1.5em 10px;
    padding: 0.5em 10px; 
    font-style: italic;
    quotes: "“" "”" ;
}

blockquote > p:first-of-type::before {
    color: #404020;
    content: open-quote;
    font-size: 4em;
    font-weight: bolder;
    line-height: 0.1em;
    margin-right: 0.25em;
    vertical-align: -0.4em;
    display: inline;
}

blockquote strong { font-weight: 600; }
blockquote li { list-style: disc; }

body > header > h1 { color: #c0b8a0; }
nav.site { font-weight: bold; }
nav > strong { font-weight: bold; color: #6a3020; }
h1, h2, h3, h4, h5 { color: #6a3020; }

h1 a {
    text-decoration: none;
    font-weight: 800;
}

a:link { color: #f0a050; }
a:visited { color: #f0a050; }

footer {
    padding: 30px 0 10px 0;
    text-align: center;
}

audio {
    width: 100%;
}

.copyright {
    color: #7a7060;
    font-size: .9em;
}

.fx {
    font-family: "Iosevka";
    color: #7a7060;
    font-size: .8em;
    margin-bottom: -15px;
}

.endof {
    font-size: 1.75em;
    text-align: center;
    font-weight: bold;
    color: #2a3528;
    margin-bottom: 2em;
}

.description { font-style: italic; }

.hero {
    width: 92px;
    border-radius: 100%;
    box-shadow: 0 0 0 .1em  #3a3528;
    float: left;
    margin: .5em .75em 0 0;
}

.albumart {
    width: 150px;
    box-shadow: 0 0 0 .2em  #3a3528;
    float: left;
    margin: .5em .75em 0 0;
}

.section-heading {
    text-align: center;
    text-transform: uppercase;
    margin: 2em 0 1em 0;
    color: #8a6a30;
}

.section-heading-top { 
    text-align: center;
    text-transform: uppercase;
    margin: 0 0 2em 0; 
    color: #8a6a30;
}

.logo {
    position: relative;
    margin-left: -270px;
    top: -42px;
    filter: brightness(85%); 
}

.perma-symbol { 
    text-decoration: none; 
}

.last-updated { color: #7a7060; }

.teletype {
    border-right: .6em solid #f0a050;
    white-space: nowrap;
    overflow: hidden;
    width: 9.3em;
    opacity: 0;
    animation: type 2s steps(40, end), blink 1.2s steps(44) infinite normal;
    animation-fill-mode: forwards;
    position: relative;
    left: 50%;
    margin-top: -80px;
    margin-left: -110px;
}

@keyframes type {
  0% {
    width: 0;
  }
  1% {
    opacity: 1;
  }
  100% {
    opacity: 1;
  }
}

@keyframes blink {
  from{border-right-color: #f0a050;}
  to{border-right-color: transparent;}
}

.email:before {
    content: attr(data-website) "\0040" attr(data-user);
    unicode-bidi: bidi-override;
    direction: rtl;
 }

.fn { margin: 3em 0; }

.fn-link {
    text-decoration: none;
    border: 1px solid #502020;
    background-color: #2a2820;
    margin-left: 2px;
    padding: 0 2px;
    transition: all 0.3s ease;
}

.fn-link:hover {
    border-color: #e0c070;
}

.fn-header {
    font-weight: bold;
    color: #6a3020;
}

.fn-backlink { text-decoration: none; }

.post-header { margin: 2em 0; }

/* Syntax highlighting */
.hl-comment { color: #508050; }

.hl-preprocessor { color: #7a7060; }

.hl-tag,
.hl-function,
.hl-heading,
.hl-label { color: #7ac0c8; }

.hl-reference,
.hl-variable,
.hl-code,
.hl-embedded,
.hl-identifier { color: #70c070; }

.hl-operator { color: #f0a050; }

.hl-annotation,
.hl-class,
.hl-type,
.hl-keyword { color: #8a5a6a; }

.hl-attribute,
.hl-constant { color: #55ffff; }

.hl-bold,
.hl-italic,
.hl-number,
.hl-underline,
.hl-string { color: #c0f0c0; }

.hl-link,
.hl-list,
.hl-error,
.hl-regex { color: #c97aa0; }

.halftone {
    position: relative; 
    display: inline-block;
	clip-path: inset(3px round 8px);
	
}

.halftone::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    pointer-events: none;
	background: 
    radial-gradient(#fff, #888) 0 0/ 0.5em 0.5em, 
	radial-gradient(ellipse, #fff 68%, #000 148%);;
	background-blend-mode: multiply;
	filter: opacity(93%) sepia(5%) contrast(50) blur(2px) contrast(4);
	mix-blend-mode: darken;
}

.halftone::after {
    content: '';
    width: 100%;
    height: 100%;
	background-color: #1a1c33;
    mix-blend-mode: lighten;
}

.halftone img {display: block;}
